Library Version 18.1.40

DbMpoolFile::get_ftype()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbMpoolFile::get_ftype()

    #include <db_cxx.h>

    int
    DbMpoolFile::get_ftype(int *ftypep);

The `DbMpoolFile::get_ftype()` method returns the file type. The file type is used for the purposes of file processing, and will be the same as is set using the DbEnv::memp_register() method.

The `DbMpoolFile::get_ftype()` method may be called at any time during the life of the application.

The `DbMpoolFile::get_ftype()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### ftypep

The `DbMpoolFile::get_ftype()` method returns the file type in ftypep.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbMpoolFile::set_ftype()

Prev | Up | Next
DbMpoolFile::get_flags() | Home | DbMpoolFile::get_lsn_offset()